#pragma once

#include <SDL2/SDL_events.h>
#include <functional>

namespace blitz {
namespace InputManager {

void BindKeyDownCallback(const std::function<void(int)>&);
void ProcessEvent(SDL_Event& event);

}  // namespace InputManager
}  // namespace blitz
